<?xml version="1.0" encoding="UTF-8"?>

<?import java.lang.*?>
<?import java.net.*?>
<?import java.util.*?>
<?import javafx.scene.*?>
<?import javafx.scene.control.*?>
<?import javafx.scene.layout.*?>

<fx:root type="javafx.scene.layout.VBox" prefHeight="400" prefWidth="600"  xmlns:fx="http://javafx.com/fxml"> <!--AnchorPane id="AnchorPane" prefHeight="400.0" prefWidth="600.0" styleClass="mainFxmlClass" xmlns:fx="http://javafx.com/fxml/1" fx:controller="com.alanmrace.jimzmlvalidator.gui.MzMLContentEditor">-->
    <stylesheets>
        <URL value="@/styles/mzmlcontenteditor.css"/>
    </stylesheets>
    <HBox>
        <Label alignment="CENTER_LEFT">Parent: </Label>
        <Hyperlink fx:id="parentHyperlink"></Hyperlink>
    </HBox>
    <ScrollPane fx:id="scrollPane" fitToHeight="true" fitToWidth="true" >
        <content>
            <VBox fx:id="scrollPaneBox" HBox.hgrow="ALWAYS">
                <Accordion HBox.hgrow="ALWAYS">
                    <panes>
                        <TitledPane text="Children" HBox.hgrow="ALWAYS">
                            <content>
                                <VBox fx:id="childrenBox">
                                </VBox>
                            </content>
                        </TitledPane>
                    </panes>
                </Accordion>
                <Accordion fx:id="paramsAccordion" HBox.hgrow="ALWAYS">
                    <panes>
                        <!--<TitledPane text="Parameter Groups" HBox.hgrow="ALWAYS">
                            <content>
                            </content>
                        </TitledPane>-->
                        <TitledPane fx:id="mustPane" text="Must" HBox.hgrow="ALWAYS">
                            <content>
                                <VBox fx:id="mustCVBox">
                                </VBox>
                            </content>
                        </TitledPane>
                        <TitledPane fx:id="shouldPane" text="Should" HBox.hgrow="ALWAYS">
                            <content>
                                <VBox fx:id="shouldCVBox">
                                </VBox>
                            </content>
                        </TitledPane>
                        <TitledPane fx:id="mayPane" text="May" HBox.hgrow="ALWAYS">
                            <content>
                                <VBox fx:id="mayCVBox">
                                </VBox>
                            </content>
                        </TitledPane>
                        <TitledPane text="Extra" fx:id="extraTitledPane" HBox.hgrow="ALWAYS">
                            <content>
                                <VBox fx:id="extraCVBox">
                                </VBox>
                            </content>
                        </TitledPane>
                    </panes>
                </Accordion>
            </VBox>
        </content>
    </ScrollPane>
</fx:root>
